/*
  @description: 专家完善基信息-工作任职经历-公共方法
  @Modifier: 徐媛媛
  @routerPath:
  @date: 2020/8/25-14:41  upLoadFileUrl
*/
/* 接口*/

import { randomData } from '@assets/js/utils'// 常用方法
export const expertWorkPerience = {
  data() {
    return {
      // 回避单位
      isAvoidCompany: [
        {
          typecode: '0',
          typename: '是'
        },
        {
          typecode: '1',
          typename: '否'
        }
      ],
      // 任职经历证明文件
      workExperienceData: {
        bizId: '', // 业务主键Id
        fileType: 'EXPERT_UPLOAD_CAREER_PROVE' // 文件类型
      }
    }
  },
  created() {
    // 获取用户的userId
    // this.queryExpertBaseInfo()
    this.idUpLoadIdData.bizId = randomData() // 身份证扫描件
    // 前端生成项目Id
    this.formData.id = randomData()
  },
  methods: {
    // 所在区域三级联动组件使用 mobile
    regionData(regionName, location) {
      this.formData.projectAreaName = regionName
      this.formData.projectAreaCode = location.join(',')
    },
    // 进行下一步
    nextStep() {
      const pathData = {
        id: 111
      }
      this.$parent.$emit('stepPage', 'next', pathData)
      this.confirmLoading = true// btnLoding
    }
  }
}
